httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Querna <c...@force-elite.com>
Subject Re: NOTE To All Dev's!!!
Date Fri, 01 Jul 2005 18:48:54 GMT
William A. Rowe, Jr. wrote:

>I have bumped the MODULE_MAGIC_COOKIE for 2.1.7.  This will be
>bumped again upon 2.2 release to "AP22".
>  
>

No. This does not make sense.

If we don't break the binary API, there is no reason to bump it to AP22.

Just because we release 2.2.0, it doesn't mean a binary module for 2.1.x 
will not work just fine.  The MMN is there for this exact reason.

>The modules are significantly disjoint, and testing for the
>mmn date and level between a 2.0 and 2.1 module will not produce
>the desired results.
>
>  
>
If Vendors want to change the MMN values, that is their problem.  
2.0.x's Major will not change ever again.  The MMN should be for the 
'official' binary API.  If other groups want a method to change this, 
maybe we could do something, but even for them, just bumping the MMN is 
the wrong solution.

>Please forgive any inconvenience this may cause, but you must rebuild
>all in order to continue using modules against 2.1.
>  
>

It is an inconvenience, and a big enough change I would of preferred 
that the list be at least consulted before it was committed. Yes, trunk 
is CTR, but it wouldn't of been a huge deal to discuss this type of 
policy and code change before doing it.

-Paul

Mime
View raw message